<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ParticleObj.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ParticleObj.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_particle_obj_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_obj_8h.html">eicd/ParticleObj.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_obj.html#a4d9d29573ad35c91ab5aa176854c130d">    6</a></span>&#160;<a class="code" href="classeic_1_1_particle_obj.html#a4d9d29573ad35c91ab5aa176854c130d">ParticleObj::ParticleObj</a>() :</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;  <a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>()</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;{  }</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_obj.html#a404277b547cdbc3899431758f87b3cc4">   11</a></span>&#160;<a class="code" href="classeic_1_1_particle_obj.html#a4d9d29573ad35c91ab5aa176854c130d">ParticleObj::ParticleObj</a>(<span class="keyword">const</span> podio::ObjectID <span class="keywordtype">id</span>, <a class="code" href="classeic_1_1_particle_data.html">ParticleData</a> <a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>) :</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;  ObjBase{id, 0}, <a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>(<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>)</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{  }</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_obj.html#a019ea20ebcc099576d69592bb679faae">   15</a></span>&#160;<a class="code" href="classeic_1_1_particle_obj.html#a4d9d29573ad35c91ab5aa176854c130d">ParticleObj::ParticleObj</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>&amp; other) :</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  ObjBase{{podio::ObjectID::untracked, podio::ObjectID::untracked}, 0},</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  <a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>(other.data)</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_obj.html#abcaa69e1d3ce584ae657fbfe67232ecc">   21</a></span>&#160;<a class="code" href="classeic_1_1_particle_obj.html#abcaa69e1d3ce584ae657fbfe67232ecc">ParticleObj::~ParticleObj</a>() {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="ttc" id="classeic_1_1_particle_obj_html_a4d9d29573ad35c91ab5aa176854c130d"><div class="ttname"><a href="classeic_1_1_particle_obj.html#a4d9d29573ad35c91ab5aa176854c130d">eic::ParticleObj::ParticleObj</a></div><div class="ttdeci">ParticleObj()</div><div class="ttdoc">constructor </div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8cc_source.html#l00006">ParticleObj.cc:6</a></div></div>
<div class="ttc" id="classeic_1_1_particle_obj_html"><div class="ttname"><a href="classeic_1_1_particle_obj.html">eic::ParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8h_source.html#l00018">ParticleObj.h:18</a></div></div>
<div class="ttc" id="_particle_obj_8h_html"><div class="ttname"><a href="_particle_obj_8h.html">ParticleObj.h</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_particle_data_html"><div class="ttname"><a href="classeic_1_1_particle_data.html">eic::ParticleData</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_data_8h_source.html#l00016">ParticleData.h:16</a></div></div>
<div class="ttc" id="classeic_1_1_particle_obj_html_abcaa69e1d3ce584ae657fbfe67232ecc"><div class="ttname"><a href="classeic_1_1_particle_obj.html#abcaa69e1d3ce584ae657fbfe67232ecc">eic::ParticleObj::~ParticleObj</a></div><div class="ttdeci">virtual ~ParticleObj()</div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8cc_source.html#l00021">ParticleObj.cc:21</a></div></div>
<div class="ttc" id="classeic_1_1_particle_obj_html_a071183104206fc02db0787076786a9d8"><div class="ttname"><a href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">eic::ParticleObj::data</a></div><div class="ttdeci">ParticleData data</div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8h_source.html#l00030">ParticleObj.h:30</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
